Intel® oneAPI HPC Toolkit
Get help with building, analyzing, optimizing, and scaling high-performance computing (HPC) applications.
Announcements
Welcome to the Intel Community. If you get an answer you like, please mark it as an Accepted Solution to help others. Thank you!

petsc build problems

MXY6
Beginner
499 Views

Recently I use oneapi 2021.4 to build petsc on MAC OS and fail with this error ld: file not found: @rpath/for_mac_ftn_alloc.dylib for architecture x86_64, can anybody fix this problem. By the way, I also found in the Google somebody  has the same problem with oneapi 2021.3 and succeeds with oneapi 2021.2, where can I find the download link of oneapi 2021.2?

0 Kudos
9 Replies
VarshaS_Intel
Moderator
470 Views

Hi,


Thanks for reaching out to us.


Could you please provide the MacOS version and which MPI you are using?


And also, could you please provide complete steps to reproduce the issue at our end?


Thanks & Regards

Varsha


MXY6
Beginner
347 Views

Hi, after adding the variable C_INCLUDE_PATH and CPP_INCLUDE_PATH, I solved the last head files include problems. But when I re-build petsc with Mac OS 10.15.7 and oneapi 2021.4, I encounter the same configure problem, see below

 

 

Executing: /opt/openmpi/bin/mpif90 -o /var/folders/p6/25h5ftyd03zcsk5r59hcq2z00000gn/T/petsc-q27o440r/config.setCompilers/conftest -Wl,-bind_at_load -Wl,-multiply_defined,suppress -Wl,-multiply_defined -Wl,suppress -Wl,-commons,use_dylibs -Wl,-search_paths_first -Wl,-no_compact_unwind -fPIC -g -O0 /var/folders/p6/25h5ftyd03zcsk5r59hcq2z00000gn/T/petsc-q27o440r/config.setCompilers/conftest.o -ldl -Wl,-rpath,/opt/openmpi/lib -L/opt/openmpi/lib -lmpi_usempif08 -lmpi_usempi_ignore_tkr -lmpi_mpifh -lmpi -Wl,-rpath,/opt/intel/oneapi/compiler/2021.4.0/mac/compiler/lib -Wl,-rpath,/opt/intel/oneapi/tbb/2021.4.0/lib -L/opt/intel/oneapi/tbb/2021.4.0/lib -Wl,-rpath,/opt/intel/oneapi/mkl/2021.4.0/lib -L/opt/intel/oneapi/mkl/2021.4.0/lib -Wl,-rpath,/opt/intel/oneapi/ippcp/2021.4.0/lib -L/opt/intel/oneapi/ippcp/2021.4.0/lib -Wl,-rpath,/opt/intel/oneapi/ipp/2021.4.0/lib -L/opt/intel/oneapi/ipp/2021.4.0/lib -Wl,-rpath,/opt/intel/oneapi/dnnl/2021.4.0/cpu_iomp/lib -L/opt/intel/oneapi/dnnl/2021.4.0/cpu_iomp/lib -Wl,-rpath,/opt/intel/oneapi/dal/2021.4.0/lib -L/opt/intel/oneapi/dal/2021.4.0/lib -Wl,-rpath,/opt/intel/oneapi/compiler/2021.4.0/mac/compiler/lib -L/opt/intel/oneapi/compiler/2021.4.0/mac/compiler/lib -Wl,-rpath,/opt/intel/oneapi/compiler/2021.4.0/mac/bin/intel64/../../compiler/lib -L/opt/intel/oneapi/compiler/2021.4.0/mac/bin/intel64/../../compiler/lib -lifport -Wl,-rpath,/opt/intel/oneapi/compiler/2021.4.0/mac/bin/intel64/../../compiler/lib -L/opt/intel/oneapi/compiler/2021.4.0/mac/bin/intel64/../../compiler/lib -lifcoremt -Wl,-rpath,/opt/intel/oneapi/compiler/2021.4.0/mac/bin/intel64/../../compiler/lib -L/opt/intel/oneapi/compiler/2021.4.0/mac/bin/intel64/../../compiler/lib -limf -Wl,-rpath,/opt/intel/oneapi/compiler/2021.4.0/mac/bin/intel64/../../compiler/lib -L/opt/intel/oneapi/compiler/2021.4.0/mac/bin/intel64/../../compiler/lib -lsvml -Wl,-rpath,/opt/intel/oneapi/compiler/2021.4.0/mac/bin/intel64/../../compiler/lib -L/opt/intel/oneapi/compiler/2021.4.0/mac/bin/intel64/../../compiler/lib -lipgo -Wl,-rpath,/opt/intel/oneapi/compiler/2021.4.0/mac/bin/intel64/../../compiler/lib -L/opt/intel/oneapi/compiler/2021.4.0/mac/bin/intel64/../../compiler/lib -lirc -lpthread -Wl,-rpath,/Library/Developer/CommandLineTools/usr/lib/clang/12.0.0/lib/darwin -L/Library/Developer/CommandLineTools/usr/lib/clang/12.0.0/lib/darwin -lclang_rt.osx -ldl
Possible ERROR while running linker: exit code 1
stderr:
ld: file not found: @rpath/for_mac_ftn_alloc.dylib for architecture x86_64
Linker output before filtering:

ld: file not found: @rpath/for_mac_ftn_alloc.dylib for architecture x86_64

 

 

Also, my configure option and complete configure files are the same as before.  In short, with the compatible Mac OS version of oneapi 2021.4, I still cannot solve my initial problem...

MXY6
Beginner
456 Views

Dear Varsha, 

Thanks for your responding.

 

My Mac OS version is 11.6, and I succeeded in installing openmpi 4.0.2 with configuration ../configure --prefix=/opt/openmpi CC=icc CXX=icpc F77=ifort FC=ifort. I attach my shell screenshot and  configure.log below when building petsc.

 

Best regards,

Xiangyi

Screen Shot 2021-10-18 at 8.26.37 PM.png

 

VarshaS_Intel
Moderator
399 Views

Hi,


>>where can I find the download link of oneapi 2021.2?

To access older releases you need a version that includes Intel Priority Support, the free versions do not include this.  

Here is a link to the online store where you can get a commercially supported version https://softwarestore.intel.com/


Sorry for the inconvenience MacOS 11.6 is not supported as of now with the latest Intel oneAPI toolkit try using the supported versions and let us know if you are still facing any issues. Could you please refer to the below link for the supported versions of the Intel oneAPI toolkit.

https://www.intel.com/content/www/us/en/developer/articles/system-requirements/intel-oneapi-hpc-tool...


Thanks & Regards

Varsha


MXY6
Beginner
368 Views

thanks for your answers. Actually, I choose to degrade my Mac OS to 10.15.7 and my Xcode version is 12.4 now. After installing oneapi 2021.4 and compiling the c++ source file, I got this error

In file included from /Library/Developer/CommandLineTools/usr/bin/../../usr/include/c++/v1/iosfwd(95),
from /Library/Developer/CommandLineTools/usr/bin/../../usr/include/c++/v1/ios(214),
from /Library/Developer/CommandLineTools/usr/bin/../../usr/include/c++/v1/iostream(37),
from main.cpp(1):
/Library/Developer/CommandLineTools/usr/bin/../../usr/include/c++/v1/wchar.h(118): catastrophic error: cannot open source file "wchar.h"
#include_next <wchar.h>
^

compilation aborted for main.cpp (code 4)

I seems that compiler cannot find the head files but they are just there, do you know how to solve this new problem, thanks in advance.

MXY6
Beginner
339 Views

progress for my issue....

I have found the specific issue of my problem, That is when I use ifort to compile .f90 file and link the dynamic libraries libifport.dylib and libifcoremt.dylib, then the link errror will generate

 

ld: file not found: @rpath/for_mac_ftn_alloc.dylib for architecture x86_64

 

so how can we solve this?

MXY6
Beginner
331 Views

sorry, it is mpifort instead of ifort. I can successfully building petsc directly using icc, icpc and ifort, but failed with openmpi which was build by oneapi and with above errors. 

VarshaS_Intel
Moderator
256 Views

Hi,


Thanks for providing all the information.


I hope your issue is resolved. These forums are intended to support the queries related to Intel Products. We do not support OpenMPI. Please let us know if you have any issues with the Intel compilers, if not can we go ahead and close this thread.


Thanks & Regards

Varsha


VarshaS_Intel
Moderator
157 Views

Hi,


We have not heard back from you. This thread will no longer be monitored by Intel. If you need further assistance, please post a new question.

 

Thanks & Regards

Varsha


Reply